Subject: [bug#31250] [PATCH] Add leiningen

From: [email-masked] (Ludovic Courtès)
Date: Sat, 28 Apr 2018 22:44:19 +0200

Pjotr Prins <[email-masked]> skribis:

> On Thu, Apr 26, 2018 at 12:41:32PM +0000, Nils Gillmann wrote:
>> > The policy for Guix is to build things from source.  So we would have to
>> > provide Leiningen and its dependencies as packages built from source,
>> > and to remove the auto-download functionality from the script.
>> 
>> But this is on first run, not during the installation as far as I remember.
>> So in my opinion that's not an immediate blocker for the initial package.
>> The obvious fix afterwards is to apply the building from source.
>
> We also packaged tools like conda that download binaries when run.

True, that’s not great, and Leiningen may actually do the same thing as
part of its normal job…

I think it’s good to estimate how difficult it would be to build
Leiningen from source, and then we can decide what to do.

Ludo’.